org.apache.ignite.internal.util.offheap

## Class GridOffHeapOutOfMemoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.internal.util.offheap.GridOffHeapOutOfMemoryException

All Implemented Interfaces:
  Serializable

    public class GridOffHeapOutOfMemoryException
    extends RuntimeException

Thrown when memory could not be allocated.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridOffHeapOutOfMemoryException(long size)` Constructs out of memory exception.
`GridOffHeapOutOfMemoryException(long total, long size)` Constructs out of memory exception.

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridOffHeapOutOfMemoryException

    public GridOffHeapOutOfMemoryException(long size)

Constructs out of memory exception.

Parameters:
  `size` - Size that could not be allocated.

#### GridOffHeapOutOfMemoryException

    public GridOffHeapOutOfMemoryException(long total,
                                   long size)

Constructs out of memory exception.

Parameters:
  `total` - Total allocated memory.
  `size` - Size that could not be allocated.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Throwable`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015